
font times_fontsm2 = "Times New Roman",0,16;

string player_namestr = "DarkWhoppy";
string player_hpstr = "\nHP: ";
text txtPlayer_Name
{
	layer = 30;
	pos_x = 790; pos_y = 22;
	font = times_fontsm2;      //font from msg_sysme.WDL
	
	strings = 2;
	string = player_namestr,player_hpstr;
}
bmap playerpan_bg = <battlepan_bg.pcx>;
panel PlayerPanel
{
	pos_x = 765; pos_y = 5;
	bmap = playerpan_bg;
	layer = 29; //one layer below text
	digits = 50,50,2,times_fontsm2,1,player._HP;
	
	flags = transparent,overlay;
}


define ATTACK_MODE,flag1; //Attack mode on/off?

action PlayerAct
{
	player = me;
	my.passable = off;
	player.metal = on;
	player._HP = 25;    //initial HP value
	player._ATTACK = 5; //initial sword attack value
	player._DEFEND = 1; //initial armor defence value
	var move_var = 0;
	
	trace_mode = ignore_me + ignore_sprites + ignore_models + use_box;
	move_mode = IGNORE_YOU + IGNORE_PASSABLE + IGNORE_PUSH + ACTIVATE_TRIGGER + GLIDE;
	
	init_cameras();
	
	while(1)
	{
		move_var.x = 0;
		move_var.z = 0;
		move_var.y = 0;
		
		vec_set(temp,my.x);
      temp.z -= 8000; 
      trace_mode = ignore_me+ignore_sprites+IGNORE_MODELS+USE_BOX;
      result = trace(my.x,temp);
      if(result > 5)
      { move_var.z -= 20; }
      if(result <= 0)
      { move_var.z += 4; }
      
      my.skill1 += 5*time; //walking/running
      my.skill2 += 2*time; //for standing still
      //my.skill3 = 0; //Attack
      my.skill4 = 0; //Death
      if(player._HP <= 0)
      {	player._HP = 0;
      	while(my.skill4 < 75)
      	{
      		my.skill4 += 1;
      		ent_animate(me,"die",my.skill4,anm_cycle+anm_add);
      		wait(1);
      	}
      	wait(48);
      	exit;
		}
      
      if(key_w != on && key_s != on) //Idle animation if not moving forward/back
      {
      	ent_animate(me,"idle",my.skill2,anm_cycle+anm_add);
		}
		if(key_w == on)
		{	
			move_var.x += 4 + time; 
			ent_animate(me,"run",my.skill1,anm_cycle+anm_add);
		}
		if(key_s == on)
		{
			move_var.x -= 4 + time; 
			ent_animate(me,"run",my.skill1,anm_cycle+anm_add);
		}
		if(key_a == on)
		{
			move_var.y += 3 + time; 
			ent_animate(me,"walk",my.skill1,anm_cycle+anm_add);
		}
		if(key_d == on)
		{
			move_var.y -= 3 + time; 
			ent_animate(me,"walk",my.skill1,anm_cycle+anm_add);
		}

		if(mouse_moving)
		{
			if(mouse_force.x > 0)
			{
				my.pan -= mouse_force.x + 3; // mouse movement changes PAN 
			}
			if(mouse_force.x < 0)
			{
				my.pan += mouse_force.x + 3; // mouse movement changes PAN 
			}
		}
		
		//Attack Animation!
		if(mouse_left == on && key_w == off && key_s == off)
		{
			player.ATTACK_MODE = on;
			my.skill3 = 0;
			while(my.skill3 < 100)
			{
				ent_animate(me,"slice",my.skill3,anm_add+anm_cycle);
				my.skill3 += 1.2;
				//waitt(0.01);
				wait(1);
			}
			if(current_enemy != null){
				if(vec_dist(player.x, current_enemy.x) <= 50)
				{
					current_enemy._HP -= player._ATTACK - current_enemy._DEFEND; //suptract defense from attack equals total HP taken away
				}
			}
			player.ATTACK_MODE = off;
		}
		
		ent_move(move_var,nullvector);
		wait(1);
	}
}