
/*Experiment

Create a panel for each item, use the panel as a button for its function of use.

*/

bmap inv_itemsel_on = <item_sel_on.pcx>;
bmap inv_itemsel_off = <item_sel_off.bmp>;

//Item Variables
var SmallPotion = 1;
var BigPotion = 1;
var MP_Restore_5 = 1;
var MP_Restore_Full = 1;

//Strings for the item names
string itemDescription;
string SmallPotion_str = "Small Potion"; 
string BigPotion_str = "Big Potion"; 
string MP_Restore_5_str = "MP Restore 5"; 
string MP_Restore_Full_str = "MP Restore Full"; 

//Item function prototypes!
function useSmallPotion(); function overSmallPotion();
function useBigPotion(); function overBigPotion();


panel InventoryPan
{
	pos_x = 400; pos_y = 100;
	bmap = playerpan_bg; //From player.WDL
	layer = 28;
	alpha = 100;
	flags = transparent,overlay;
}

text itemDescription_txt
{
	pos_x = 425; pos_y = 118;
	layer = 30;
	font = times_fontsm; //from msg_sytem.WDL
	string = itemDescription;
}



panel SmallPotion_but
{button = 0,0,inv_itemsel_off,inv_itemsel_off,inv_itemsel_on,useSmallPotion,NULL,overSmallPotion; 
 layer = 29; alpha = 100; flags = transparent,overlay;}
text SmallPotion_txt
{
	pos_x = 415; pos_y = 150;
	layer = 30;
	font = times_fontsm; //from msg_sytem.WDL
	string = SmallPotion_str;
}

panel BigPotion_but
{button = 0,0,inv_itemsel_off,inv_itemsel_off,inv_itemsel_on,useBigPotion,NULL,overBigPotion; 
 layer = 29; alpha = 100; flags = transparent,overlay;}
text BigPotion_txt
{
	pos_x = 415; pos_y = 150;
	layer = 30;
	font = times_fontsm; //from msg_sytem.WDL
	string = BigPotion_str;
}

panel MP_Restore_5_but
{button = 0,0,inv_itemsel_off,inv_itemsel_off,inv_itemsel_on,NULL,NULL,NULL; 
 layer = 29; alpha = 100; flags = transparent,overlay;}
text MP_Restore_5_txt
{
	pos_x = 415; pos_y = 150;
	layer = 30;
	font = times_fontsm; //from msg_sytem.WDL
	string = MP_Restore_5_str;
}

panel MP_Restore_Full_but
{button = 0,0,inv_itemsel_off,inv_itemsel_off,inv_itemsel_on,NULL,NULL,NULL; 
 layer = 29; alpha = 100; flags = transparent,overlay;}
text MP_Restore_Full_txt
{
	pos_x = 415; pos_y = 150;
	layer = 30;
	font = times_fontsm; //from msg_sytem.WDL
	string = MP_Restore_Full_str;
}

/*******************************************************************************************************/


function overSmallPotion() { itemDescription_txt.string ="Restores 5 HP"; }
function useSmallPotion()
{
	player._HP += 5;
	SmallPotion -= 1;
	if(SmallPotion <= 0)
	{	itemDescription_txt.string =NULL;
		SmallPotion_but.visible = off;
		SmallPotion_txt.visible = off;
	}
}


function overBigPotion() { itemDescription_txt.string ="Restores 10 HP"; }
function useBigPotion()
{
	player._HP += 10;
	BigPotion -= 1;
	if(BigPotion <= 0)
	{
		BigPotion_but.visible = off;
		BigPotion_txt.visible = off;
	}
}