
/*********************************************************************

DarkWhoppy's 3DGS Event Message System

Copyright  2004 WhoppyArts
http://www.whoppyarts.tk 

This must remain here if any of this code is used.

/**********************Function List*********************************

NPCMessage(name,str,num_secs) //Title, MessageString, How long to show (seconds)

NPCMessage2(name,str) //Title, MessageString - Click to turn off

NPCChoiceMessage2(name,str,item1,item2) //2 items to select from

**********************************************************************/

PATH "images";

bmap msgbg_bmp = <msg_main.pcx>;
bmap selmsgbg_bmp = <msg_selectbg.pcx>;
bmap selmsgbg2_bmp = <msg_selectbg2.pcx>;

font times_font = "Times New Roman",2,18;
font times_fontsm = "Times New Roman",0,16;

string string1; 
string string2; 
string item_str1;
string item_str2;

var chosen_item;

panel msg_background
{
	bmap = msgbg_bmp;
	layer = 29;
	alpha = 65;
	
	flags = transparent,overlay;
}

function NPCMessage2Off();
panel msg_background2
{
	button = 0,0,msgbg_bmp,msgbg_bmp,msgbg_bmp,NPCMessage2Off,NULL,NULL;
	layer = 29;
	alpha = 65;
	
	flags = transparent,overlay;
}
function msgChoiceReturn2(panel,but_num);
panel msgSelect2_Pan 			
{
 	button = 255,425,selmsgbg_bmp,selmsgbg_bmp,selmsgbg2_bmp,msgChoiceReturn2,NULL,NULL;
 	button = 255,455,selmsgbg_bmp,selmsgbg_bmp,selmsgbg2_bmp,msgChoiceReturn2,NULL,NULL;
 	layer = 29;
 	alpha = 65;
	
	flags = transparent,overlay;
}

text txt_msg
{
	layer = 30;
	pos_x = 300; pos_y = 240;
	font = times_font;
	
	string string1;
}
text txt_name
{
	layer = 30;
	pos_x = 290; pos_y = 207;
	font = times_fontsm;
	
	string string2;
}
text txt_item1
{
	layer = 30;
	pos_x = 270; pos_y = 430;
	font = times_fontsm;
	
	string item_str1;
}
text txt_item2
{
	layer = 30;
	pos_x = 270; pos_y = 460;
	font = times_fontsm;
	
	string item_str2;
}

/***************************************************************************************/
//Message Functions 

function NPCMessage(name,str,num_secs) //Title, MessageString, How long to show (seconds)
{
	txt_name.string = name;
	txt_msg.string = str;
	
	msg_background.pos_x = (screen_size.x - bmap_width(playerpan_bg))/2;  //Center image
	msg_background.pos_y = ((screen_size.y - bmap_height(playerpan_bg))/2) - 75;
	
	txt_name.visible = on;    //Make everything visible
	txt_msg.visible = on;
	msg_background.visible = on;
	waitt(16*num_secs);
	msg_background.visible = off;
	txt_name.visible = off;   //Hide everything
	txt_msg.visible = off;
	
	txt_name.string = "";   //Clear the strings
	txt_msg.string = "";
}
function NPCMessage2Off() 
{
	msg_background2.visible = off;
	txt_name.visible = off;   //Hide everything
	txt_msg.visible = off;
	
	txt_name.string = "";   //Clear the strings
	txt_msg.string = "";
}
function NPCMessage2(name,str) //Title, MessageString
{
	txt_name.string = name;
	txt_msg.string = str;
	
	msg_background2.pos_x = (screen_size.x - bmap_width(msgbg_bmp))/2;  //Center image
	msg_background2.pos_y = ((screen_size.y - bmap_height(msgbg_bmp))/2) - 75;
	
	txt_name.visible = on;    //Make everything visible
	txt_msg.visible = on;
	msg_background2.visible = on;	
}

function NPCChoiceMessage2(name,str,item1,item2) 
{
	txt_name.string = name;
	txt_msg.string = str;
	txt_item1.string = item1;
	txt_item2.string = item2;
	
	msg_background.pos_x = (screen_size.x - bmap_width(msgbg_bmp))/2;  //Center image
	msg_background.pos_y = ((screen_size.y - bmap_height(msgbg_bmp))/2) - 75;
	
	txt_name.visible = on;    //Make everything visible
	txt_msg.visible = on;
	txt_item1.visible = on;
	txt_item2.visible = on;
	msg_background.visible = on;	
	msgSelect2_Pan.visible = on; 
}

function msgChoiceReturn2(but_num,panel)
{
	if(but_num == 1){ chosen_item = 1; }
	if(but_num == 2){ chosen_item = 2; }
	msgSelect2_Pan.visible = off;
	msg_background.visible = off;
	txt_name.visible = off;
	txt_msg.visible = off;
	txt_item2.visible = off;
	txt_item1.visible = off;
}

///////////////////////////////////////////////////////